<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	 
	<!-- using us-ascii encoding because special characters like &#49; would be 
		 replaced during transformation when using UTF-8 -->
	<xsl:output method="html" encoding="us-ascii" doctype-public="-//W3C//DTDXHTML 1.0 Transitional//EN" doctype-system="https://www.w3.org/TR/html4/strict.dtd" />
	
    <!-- string parameters -->	
    <xsl:param name="view.details.headimage"/>		
	<xsl:param name="view.details.base"/>
	<xsl:param name="view.details.id"/>
	<xsl:param name="view.details.section"/>
	<xsl:param name="tooltip-xml"/>
			
	<xsl:template match="ENTRY">
		<xsl:text>
		<script>
function setZoomIn(el) {
           var origin = "0% 0% 0px";
           var classOut = "TabA";
           var classIn = "TabA";
           var titleOut = "Zoom Out";
           var titleIn = " Zoom In";
           var width = el.getAttribute("style");
	   width = width.replace(/width:[ ]*/, "");
	   width = width.replace(/; transform: scale\([0-9\.]+\); transform-origin: 0% 0% 0px;/, "");
           if (width == "95%") {
               zoom = 1.2;
               wid = "80%";
              }
           if (width == "80%") {
               zoom = 1.4;
               wid = "70%";
              }
            if (width == "70%") {
               zoom = 1.6;
               wid = "60%";
               classIn = "TabD";
               titleIn = "";
               }
            if (width == "60%") {
               zoom = 1.6;
               wid = "60%";
               classIn = "TabD";
               titleIn = "";
               }
            s = "scale(" + zoom + ")";
	    el.style["transform"] = s;
	    el.style["transformOrigin"] = origin;
	    el.style["webkitTransform"] = s;
	    el.style["webkitTransformOrigin"] = origin;
	    el.style["width"] = wid;
	    document.getElementById("zoomin").className = classIn;
	    document.getElementById("zoomout").className = classOut;
	    document.getElementById("zoomin").title = titleIn;
	    document.getElementById("zoomout").title = titleOut;
}
function setZoomOut(el) {
           var origin = "0% 0% 0px";
           var classOut = "TabA";
           var classIn = "TabA";
           var titleOut = "Zoom Out";
           var titleIn = " Zoom In";
           var width = el.getAttribute("style");
	   width = width.replace(/width:[ ]*/, "");
	   width = width.replace(/; transform: scale\([0-9\.]+\); transform-origin: 0% 0% 0px;/, "");
            if (width == "95%") {
               zoom = 1;
               wid = "95%";
               classOut = "TabD";
               titleOut = "";
               }
            if (width == "80%") {
               zoom = 1;
               wid = "95%";
               classOut = "TabD";
               titleOut = "";
               }
            if (width == "70%") {
               zoom = 1.2;
               wid = "80%";
               }
            if (width == "60%") {
               zoom = 1.4;
               wid = "70%";
               }
            s = "scale(" + zoom + ")";
	    el.style["transform"] = s;
	    el.style["transformOrigin"] = origin;
	    el.style["webkitTransform"] = s;
	    el.style["webkitTransformOrigin"] = origin;
	    el.style["width"] = wid;
	    document.getElementById("zoomin").className = classIn;
	    document.getElementById("zoomout").className = classOut;
	    document.getElementById("zoomin").title = titleIn;
	    document.getElementById("zoomout").title = titleOut;
}
		</script>
		</xsl:text>
	<table border="0" cellpadding="0" cellspacing="0" width="100%" style="height:100%; border:0">
	<tr>
		<td class="Tasti"><p class="Fascia"><span style="line-height:20pt">GRANDE DIZIONARIO GRECO CLASSICO HOEPLI</span>
<a class="TabD" style="float:right" onclick="setZoomOut(document.getElementById('entry')); return false" id="zoomout" title="">Z–</a>
<a class="TabA" style="float:right" onclick="setZoomIn(document.getElementById('entry')); return false" id="zoomin" title=" Zoom In ">Z+</a></p></td>
	</tr>
				<tr>				
					<td valign="top" height="100%">
		<div class="Entry" id="entry" style="width:95%">
						<xsl:apply-templates select="HEAD" />
						<xsl:apply-templates select="BODY" />
						</div>
				</td></tr>
			</table>
	</xsl:template>

	<xsl:template match="HEAD">
		<div class="PartFirst">
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<xsl:template match="SubHead">
			<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="BODY">
		<xsl:apply-templates />	
	</xsl:template>

	<xsl:template match="Part">
		<div class="Part">
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<xsl:template match="Box">
		<div class="Box">
			<xsl:apply-templates />
		</div>
	</xsl:template>

	<xsl:template match="Acception">
		<P class="Acception">
			<xsl:apply-templates />
		</P>
	</xsl:template>
	
	<xsl:template match="Xref">
		<xsl:if test="string-length(@Link) &gt; 0">
		<xsl:variable name="link"><xsl:value-of select="@Link"/></xsl:variable>
		<a class="Xref" href="javascript:detail('{$link}')"><xsl:apply-templates /></a>
		</xsl:if>
		<xsl:if test="string-length(@Link) = 0">
		<span class="Xref"><xsl:apply-templates /></span>
		</xsl:if>
	</xsl:template>

	<!-- Character replacments -->
	<xsl:template match="Cat">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Cat.xml"))/tooltips/Cat[@short=current()]/@long'/></xsl:variable>
		<span class="Cat" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Gramm">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Gramm.xml"))/tooltips/Gramm[@short=current()]/@long'/></xsl:variable>
		<span class="Gramm" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Use">
		<xsl:variable name="tooltip"><xsl:value-of select='document(concat($tooltip-xml, "Explosion-Cat.xml"))/tooltips/Use[@short=current()]/@long'/></xsl:variable>
		<span class="Use" title="{$tooltip}"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Hword">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Var">
		<span class="Var"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="s">
		<span class="s"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="Greek">
		<span class="Greek"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="GreekDes">
		<span class="GreekDes"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="des">
		<span class="des"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Met">
		<span class="Met"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Num[starts-with(.,'1.')]">
			<span class="Num"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Num">
			<span class="Num"><br/><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="tit">
		<span class="s"><xsl:apply-templates /><br/></span>
	</xsl:template>

	<xsl:template match="HL">
		<xsl:variable name="hlidx1"><xsl:value-of select="attribute::index"/></xsl:variable>
		<xsl:variable name="nodeName" select="name()"></xsl:variable>
		<xsl:variable name="hlidx2"><xsl:value-of select="count(preceding::node()[name() = $nodeName]) + 1"/></xsl:variable>
		<a name="hl_{$hlidx1}_{$hlidx2}_{$view.details.id}"></a>
		<span class="HL"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="TT">
		<span class="tt"><xsl:apply-templates /></span>
	</xsl:template>
	<xsl:template match="br">
		<br/>
	</xsl:template>	
	<xsl:template match="b">
		<b><xsl:apply-templates /></b>
	</xsl:template>	
	<xsl:template match="i">
		<i><xsl:apply-templates /></i>
	</xsl:template>
	<xsl:template match="sup">
		<sup><xsl:apply-templates /></sup>
	</xsl:template>	
	<xsl:template match="nix">
		<span class="Hword"><xsl:apply-templates /></span>
	</xsl:template>	
	<xsl:template match="Hidden">
		<!-- ignore -->
	</xsl:template>	

</xsl:stylesheet>
